Bug 327544 - Software updater crashed when I clicked the tray icon
Summary: Software updater crashed when I clicked the tray icon
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: Updates (interactive) (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords: drkonqi
: 327761 328088 328269 328475 328536 328633 328875 328931 329614 329725 329755 329760 330421 330484 330516 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-11-13 03:42 UTC by Dima Ryazanov
Modified: 2016-03-02 13:31 UTC (History)
22 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (12.08 KB, text/plain)
2013-11-22 18:23 UTC, Andrew DeMarsh
Details
New crash information added by DrKonqi (8.60 KB, text/plain)
2013-11-25 11:55 UTC, d_blatne
Details
New crash information added by DrKonqi (13.94 KB, text/plain)
2013-12-07 12:25 UTC, marek.kruk
Details
New crash information added by DrKonqi (13.29 KB, text/plain)
2014-01-04 05:28 UTC, Shane
Details
New crash information added by DrKonqi (11.88 KB, text/plain)
2014-01-09 15:52 UTC, automaticjack
Details
New crash information added by DrKonqi (12.56 KB, text/plain)
2014-01-14 21:46 UTC, Lastique
Details
Output of muon-updater --nofork &> log; xz -9 log && echo "log.xz" (2.24 KB, application/x-xz)
2014-01-30 13:26 UTC, enrico.gueli+kdebug
Details
Output of muon-updater --nofork &> log; xz -9 log && echo "log.xz" (2.34 KB, application/x-xz)
2014-01-30 13:59 UTC, Shane
Details
aptlog info as requested (1.70 KB, application/x-xz)
2014-01-30 22:31 UTC, Shane
Details
Output of aptlog commands (1.56 KB, application/x-xz)
2014-01-31 08:51 UTC, enrico.gueli+kdebug
Details
verboselog.tar.xz (3.70 MB, application/x-xz)
2014-01-31 11:04 UTC, Shane
Details
New crash information added by DrKonqi (7.64 KB, text/plain)
2014-04-07 23:49 UTC, Alex Derringer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dima Ryazanov 2013-11-13 03:42:27 UTC
Application: muon-updater (2.1.1)
KDE Platform Version: 4.11.2
Qt Version: 4.8.4
Operating System: Linux 3.8.0-29-generic x86_64
Distribution: Ubuntu 13.10

-- Information about the crash:
- What I was doing when the application crashed:

Wasn't doing anything special; just launched the updater by clicking the tray icon.

-- Backtrace:
Application: Muon Update Manager (muon-updater), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f8d0f8387c0 (LWP 6925))]

Thread 5 (Thread 0x7f8cfc99f700 (LWP 6926)):
#0  0x00007f8d0ce96f7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f8d0a2236a4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7f8cf8002c00, timeout=-1, context=0x7f8cf80009a0) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:4006
#2  g_main_context_iterate (context=context@entry=0x7f8cf80009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3707
#3  0x00007f8d0a2237ac in g_main_context_iteration (context=0x7f8cf80009a0, may_block=1) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3773
#4  0x00007f8d0d61ca76 in QEventDispatcherGlib::processEvents (this=0x7f8cf80008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f8d0d5ee5ef in QEventLoop::processEvents (this=this@entry=0x7f8cfc99ed70, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f8d0d5ee8e5 in QEventLoop::exec (this=this@entry=0x7f8cfc99ed70, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f8d0d4ed88f in QThread::exec (this=this@entry=0x19c1710) at thread/qthread.cpp:542
#8  0x00007f8d0d5cfd13 in QInotifyFileSystemWatcherEngine::run (this=0x19c1710) at io/qfilesystemwatcher_inotify.cpp:265
#9  0x00007f8d0d4eff2f in QThreadPrivate::start (arg=0x19c1710) at thread/qthread_unix.cpp:338
#10 0x00007f8d0a6fbf6e in start_thread (arg=0x7f8cfc99f700) at pthread_create.c:311
#11 0x00007f8d0cea39cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7f8cf79b4700 (LWP 6927)):
#0  0x00007f8d0ce9bde3 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f8d0d5ccad1 in QProcessManager::run (this=0x7f8d0d955540 <processManager()::processManager>) at io/qprocess_unix.cpp:245
#2  0x00007f8d0d4eff2f in QThreadPrivate::start (arg=0x7f8d0d955540 <processManager()::processManager>) at thread/qthread_unix.cpp:338
#3  0x00007f8d0a6fbf6e in start_thread (arg=0x7f8cf79b4700) at pthread_create.c:311
#4  0x00007f8d0cea39cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7f8ced5f6700 (LWP 6956)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007f8d0d4f03e4 in wait (time=30000, this=0x291e6a0) at thread/qwaitcondition_unix.cpp:84
#2  QWaitCondition::wait (this=<optimized out>, mutex=mutex@entry=0x291e968, time=30000) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f8d0d4e38a5 in QThreadPoolThread::run (this=0x291d680) at concurrent/qthreadpool.cpp:141
#4  0x00007f8d0d4eff2f in QThreadPrivate::start (arg=0x291d680) at thread/qthread_unix.cpp:338
#5  0x00007f8d0a6fbf6e in start_thread (arg=0x7f8ced5f6700) at pthread_create.c:311
#6  0x00007f8d0cea39cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f8ce7fff700 (LWP 6964)):
#0  0x00007f8d0ce96f7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f8d0a2236a4 in g_main_context_poll (priority=2147483647, n_fds=2, fds=0x7f8ce00029b0, timeout=-1, context=0x7f8ce00009a0) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:4006
#2  g_main_context_iterate (context=context@entry=0x7f8ce00009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3707
#3  0x00007f8d0a2237ac in g_main_context_iteration (context=0x7f8ce00009a0, may_block=1) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3773
#4  0x00007f8d0d61ca76 in QEventDispatcherGlib::processEvents (this=0x7f8ce00008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f8d0d5ee5ef in QEventLoop::processEvents (this=this@entry=0x7f8ce7ffed70, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f8d0d5ee8e5 in QEventLoop::exec (this=this@entry=0x7f8ce7ffed70, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f8d0d4ed88f in QThread::exec (this=this@entry=0x17fba80) at thread/qthread.cpp:542
#8  0x00007f8d0d5cfd13 in QInotifyFileSystemWatcherEngine::run (this=0x17fba80) at io/qfilesystemwatcher_inotify.cpp:265
#9  0x00007f8d0d4eff2f in QThreadPrivate::start (arg=0x17fba80) at thread/qthread_unix.cpp:338
#10 0x00007f8d0a6fbf6e in start_thread (arg=0x7f8ce7fff700) at pthread_create.c:311
#11 0x00007f8d0cea39cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f8d0f8387c0 (LWP 6925)):
[KCrash Handler]
#6  UpdateModel::setResources (this=0x1804fd0, resources=...) at /build/buildd/muon-2.1.1/updater/UpdateModel/UpdateModel.cpp:248
#7  0x00000000004111a9 in UpdaterWidget::populateUpdateModel (this=this@entry=0x17f12d0) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:163
#8  0x000000000041127e in UpdaterWidget::activityChanged (this=0x17f12d0) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:148
#9  0x000000000040d2b5 in UpdaterWidget::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/updater/moc_UpdaterWidget.cpp:72
#10 0x00007f8d0d603a58 in QMetaObject::activate (sender=0x1901560, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#11 0x00007f8d0f42d485 in ResourcesModel::qt_static_metacall (_o=0x1901560, _id=0, _a=0x0, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/libmuon/moc_ResourcesModel.cpp:90
#12 0x00007f8d0d603a58 in QMetaObject::activate (sender=sender@entry=0x1901560, m=m@entry=0x7f8d0f653180 <ResourcesModel::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#13 0x00007f8d0f42d1f3 in ResourcesModel::allInitialized (this=this@entry=0x1901560) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/libmuon/moc_ResourcesModel.cpp:184
#14 0x00007f8d0f43a907 in ResourcesModel::resetBackend (this=0x1901560, backend=0x1c58790) at /build/buildd/muon-2.1.1/libmuon/resources/ResourcesModel.cpp:269
#15 0x00007f8d0f42d595 in ResourcesModel::qt_static_metacall (_o=0x1901560, _id=0, _a=0x0, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/libmuon/moc_ResourcesModel.cpp:101
#16 0x00007f8d0d603a58 in QMetaObject::activate (sender=0x1c58790, m=m@entry=0x7f8d0f6533c0 <AbstractResourcesBackend::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#17 0x00007f8d0f42c940 in AbstractResourcesBackend::fetchingChanged (this=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/libmuon/moc_AbstractResourcesBackend.cpp:156
#18 0x00007f8cf7c3090f in KNSBackend::setFetching (this=<optimized out>, f=f@entry=false) at /build/buildd/muon-2.1.1/libmuon/backends/KNSBackend/KNSBackend.cpp:112
#19 0x00007f8cf7c30c97 in KNSBackend::receivedEntries (this=0x1c58790, entries=...) at /build/buildd/muon-2.1.1/libmuon/backends/KNSBackend/KNSBackend.cpp:186
#20 0x00007f8d0d603a58 in QMetaObject::activate (sender=0x1c807f0, m=m@entry=0x7f8cf7c242c0 <KNS3::DownloadManager::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffdd010c20) at kernel/qobject.cpp:3539
#21 0x00007f8cf79d7fd2 in KNS3::DownloadManager::searchResult (this=<optimized out>, _t1=...) at ./downloadmanager.moc:113
#22 0x00007f8cf79d814a in KNS3::DownloadManager::Private::_k_slotEntriesLoaded (this=0x1c6c390, entries=...) at ../../../knewstuff/knewstuff3/downloadmanager.cpp:117
#23 0x00007f8d0d603a58 in QMetaObject::activate (sender=sender@entry=0x1c84c30, m=m@entry=0x7f8cf7c24740 <KNS3::Engine::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7fffdd010dc0) at kernel/qobject.cpp:3539
#24 0x00007f8cf79df70b in signalEntriesLoaded (_t1=..., this=0x1c84c30) at ./engine.moc:199
#25 KNS3::Engine::slotEntriesLoaded (this=0x1c84c30, request=..., entries=...) at ../../../knewstuff/knewstuff3/core/engine.cpp:280
#26 0x00007f8cf79e1f36 in KNS3::Engine::qt_static_metacall (_o=0x1c84c30, _id=0, _a=0x0, _c=<optimized out>) at ./engine.moc:129
#27 0x00007f8d0d603a58 in QMetaObject::activate (sender=sender@entry=0x1e4e490, m=m@entry=0x7f8cf7c24960 <KNS3::Provider::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7fffdd010f60) at kernel/qobject.cpp:3539
#28 0x00007f8cf79ed6ba in KNS3::Provider::loadingFinished (this=this@entry=0x1e4e490, _t1=..., _t2=...) at ./provider.moc:125
#29 0x00007f8cf7a024bb in KNS3::AtticaProvider::categoryContentsLoaded (this=0x1e4e490, job=<optimized out>) at ../../../knewstuff/knewstuff3/attica/atticaprovider.cpp:230
#30 0x00007f8d0d603a58 in QMetaObject::activate (sender=0x32e46d0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fffdd011170) at kernel/qobject.cpp:3539
#31 0x00007f8d0b76630f in Attica::BaseJob::finished(Attica::BaseJob*) () from /usr/lib/x86_64-linux-gnu/libattica.so.0.4
#32 0x00007f8d0b7664e9 in Attica::BaseJob::dataFinished() () from /usr/lib/x86_64-linux-gnu/libattica.so.0.4
#33 0x00007f8d0d603a58 in QMetaObject::activate (sender=0x32de9d0, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3539
#34 0x00007f8d0d5f7bf8 in QMetaMethod::invoke (this=this@entry=0x7fffdd011680, object=object@entry=0x32de9d0, connectionType=Qt::DirectConnection, connectionType@entry=Qt::AutoConnection, returnValue=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1664
#35 0x00007f8d0d5fa0b8 in QMetaObject::invokeMethod (obj=obj@entry=0x32de9d0, member=member@entry=0x7f8d02c22645 "finished", type=type@entry=Qt::AutoConnection, ret=..., val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at kernel/qmetaobject.cpp:1179
#36 0x00007f8d02ababbc in invokeMethod (val9=..., val8=..., val7=..., val6=..., val5=..., val4=..., val3=..., val2=..., val1=..., val0=..., type=Qt::AutoConnection, member=0x7f8d02c22645 "finished", obj=0x32de9d0) at /usr/include/qt4/QtCore/qobjectdefs.h:418
#37 KDEPrivate::AccessManagerReply::emitFinished (this=this@entry=0x32de9d0, state=state@entry=true, type=type@entry=Qt::AutoConnection) at ../../kio/kio/accessmanagerreply_p.cpp:484
#38 0x00007f8d02abc840 in KDEPrivate::AccessManagerReply::slotResult (this=0x32de9d0, kJob=0x3367e70) at ../../kio/kio/accessmanagerreply_p.cpp:427
#39 0x00007f8d0d603a58 in QMetaObject::activate (sender=sender@entry=0x3367e70, m=m@entry=0x7f8d0de08600 <KJob::staticMetaObject>, local_signal_index=local_signal_index@entry=3, argv=argv@entry=0x7fffdd011b70) at kernel/qobject.cpp:3539
#40 0x00007f8d0da780c2 in KJob::result (this=this@entry=0x3367e70, _t1=_t1@entry=0x3367e70) at ./kjob.moc:208
#41 0x00007f8d0da78100 in KJob::emitResult (this=this@entry=0x3367e70) at ../../kdecore/jobs/kjob.cpp:318
#42 0x00007f8d02af6e3a in KIO::SimpleJob::slotFinished (this=this@entry=0x3367e70) at ../../kio/kio/job.cpp:496
#43 0x00007f8d02af7f8e in KIO::TransferJob::slotFinished (this=0x3367e70) at ../../kio/kio/job.cpp:1099
#44 0x00007f8d0d603a58 in QMetaObject::activate (sender=0x1d5f4b0, m=m@entry=0x7f8d02ea0580 <KIO::SlaveInterface::staticMetaObject>, local_signal_index=local_signal_index@entry=4, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#45 0x00007f8d02b94d33 in KIO::SlaveInterface::finished (this=<optimized out>) at ./slaveinterface.moc:185
#46 0x00007f8d02b96276 in KIO::SlaveInterface::dispatch (this=<optimized out>, _cmd=104, rawdata=...) at ../../kio/kio/slaveinterface.cpp:176
#47 0x00007f8d02b93d6e in KIO::SlaveInterface::dispatch (this=0x1d5f4b0) at ../../kio/kio/slaveinterface.cpp:92
#48 0x00007f8d02b889d6 in KIO::Slave::gotInput (this=0x1d5f4b0) at ../../kio/kio/slave.cpp:344
#49 0x00007f8d0d603a58 in QMetaObject::activate (sender=0x1e39440, m=m@entry=0x7f8d02e99aa0 <KIO::Connection::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3539
#50 0x00007f8d02ac41e0 in KIO::Connection::readyRead (this=<optimized out>) at ./connection.moc:106
#51 0x00007f8d02ac48d1 in KIO::ConnectionPrivate::dequeue (this=0x182e5c0) at ../../kio/kio/connection.cpp:82
#52 0x00007f8d0d607dce in QObject::event (this=0x1e39440, e=<optimized out>) at kernel/qobject.cpp:1194
#53 0x00007f8d0dfe0dfc in QApplicationPrivate::notify_helper (this=this@entry=0x178c910, receiver=receiver@entry=0x1e39440, e=e@entry=0x335b060) at kernel/qapplication.cpp:4567
#54 0x00007f8d0dfe7470 in QApplication::notify (this=this@entry=0x7fffdd0128c0, receiver=receiver@entry=0x1e39440, e=e@entry=0x335b060) at kernel/qapplication.cpp:4353
#55 0x00007f8d0eceaa6a in KApplication::notify (this=0x7fffdd0128c0, receiver=0x1e39440, event=0x335b060) at ../../kdeui/kernel/kapplication.cpp:311
#56 0x00007f8d0d5ef8bd in QCoreApplication::notifyInternal (this=0x7fffdd0128c0, receiver=receiver@entry=0x1e39440, event=event@entry=0x335b060) at kernel/qcoreapplication.cpp:946
#57 0x00007f8d0d5f2e1f in sendEvent (event=0x335b060, receiver=0x1e39440) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#58 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x175b500) at kernel/qcoreapplication.cpp:1570
#59 0x00007f8d0d5f32c3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#60 0x00007f8d0d61d073 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#61 postEventSourceDispatch (s=s@entry=0x178cba0) at kernel/qeventdispatcher_glib.cpp:279
#62 0x00007f8d0a2233b6 in g_main_dispatch (context=0x178b820) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3065
#63 g_main_context_dispatch (context=context@entry=0x178b820) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3641
#64 0x00007f8d0a223708 in g_main_context_iterate (context=context@entry=0x178b820, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3712
#65 0x00007f8d0a2237ac in g_main_context_iteration (context=0x178b820, may_block=1) at /build/buildd/glib2.0-2.38.1/./glib/gmain.c:3773
#66 0x00007f8d0d61ca55 in QEventDispatcherGlib::processEvents (this=0x175cde0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#67 0x00007f8d0e0829d6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#68 0x00007f8d0d5ee5ef in QEventLoop::processEvents (this=this@entry=0x7fffdd0127c0, flags=...) at kernel/qeventloop.cpp:149
#69 0x00007f8d0d5ee8e5 in QEventLoop::exec (this=this@entry=0x7fffdd0127c0, flags=...) at kernel/qeventloop.cpp:204
#70 0x00007f8d0d5f3e5b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#71 0x00007f8d0dfdf34c in QApplication::exec () at kernel/qapplication.cpp:3828
#72 0x000000000040ce11 in main (argc=1, argv=0x7fffdd0129f8) at /build/buildd/muon-2.1.1/updater/main.cpp:59

Reported using DrKonqi
Comment 1 Dima Ryazanov 2013-11-13 03:57:00 UTC
This is now happening every time. I get this message in stdout:

Couldn't find the package: "wine1.6-i386" 

I just added Wine's PPA for Ubuntu ("sudo add-apt-repository ppa:ubuntu-wine/ppa"), so I'm guessing that's related.
Comment 2 Jekyll Wu 2013-11-18 12:22:58 UTC
*** Bug 327761 has been marked as a duplicate of this bug. ***
Comment 3 Andrew DeMarsh 2013-11-22 18:23:13 UTC
Created attachment 83705 [details]
New crash information added by DrKonqi

muon-updater (2.1.1) on KDE Platform 4.11.2 using Qt 4.8.4

I had a problem updating a while back with muon downloading a config file. I left it running overnight and it never completed when i killed process removed locks and cleaned up This kept on happening

-- Backtrace (Reduced):
#6  UpdateModel::setResources (this=0x22e8110, resources=...) at /build/buildd/muon-2.1.1/updater/UpdateModel/UpdateModel.cpp:248
#7  0x00000000004111a9 in UpdaterWidget::populateUpdateModel (this=this@entry=0x20ce3a0) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:163
#8  0x000000000041127e in UpdaterWidget::activityChanged (this=0x20ce3a0) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:148
#9  0x000000000040d2b5 in UpdaterWidget::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/updater/moc_UpdaterWidget.cpp:72
[...]
#11 0x00007f73c71d6485 in ResourcesModel::qt_static_metacall (_o=0x20e4130, _id=0, _a=0x0, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/libmuon/moc_ResourcesModel.cpp:90
Comment 4 d_blatne 2013-11-25 11:55:23 UTC
Created attachment 83749 [details]
New crash information added by DrKonqi

muon-updater (2.1.1) on KDE Platform 4.11.2 using Qt 4.8.4

- What I was doing when the application crashed:

Just opened the Muon Updater. The crash seem to be introduced after a previous system update.

- Unusual behavior I noticed:

No special unusual behavior.

-- Backtrace (Reduced):
#6  UpdateModel::setResources (this=0x1cb8b00, resources=...) at /build/buildd/muon-2.1.1/updater/UpdateModel/UpdateModel.cpp:248
#7  0x00000000004111a9 in UpdaterWidget::populateUpdateModel (this=this@entry=0x1cb9620) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:163
#8  0x000000000041127e in UpdaterWidget::activityChanged (this=0x1cb9620) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:148
#9  0x000000000040d2b5 in UpdaterWidget::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/updater/moc_UpdaterWidget.cpp:72
[...]
#11 0x00007faf6def9485 in ResourcesModel::qt_static_metacall (_o=0x1be0e70, _id=0, _a=0x0, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/libmuon/moc_ResourcesModel.cpp:90
Comment 5 Jekyll Wu 2013-11-26 02:14:09 UTC
*** Bug 328088 has been marked as a duplicate of this bug. ***
Comment 6 Andrew DeMarsh 2013-11-26 11:16:26 UTC
I fixed my problem by rebuilding Xapian with the command:

 sudo update-apt-xapian-index -f

No idea why Xapian broke
Comment 7 Jekyll Wu 2013-12-03 01:00:08 UTC
*** Bug 328269 has been marked as a duplicate of this bug. ***
Comment 8 marek.kruk 2013-12-07 12:25:36 UTC
Created attachment 83972 [details]
New crash information added by DrKonqi

muon-updater (2.1.1) on KDE Platform 4.11.2 using Qt 4.8.4

- What I was doing when the application crashed:Muon Updater crash every time I click the icon on the toolbar

-- Backtrace (Reduced):
#6  UpdateModel::setResources (this=0x114c9c0, resources=...) at /build/buildd/muon-2.1.1/updater/UpdateModel/UpdateModel.cpp:248
#7  0x00000000004111a9 in UpdaterWidget::populateUpdateModel (this=this@entry=0x114c350) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:163
#8  0x000000000041127e in UpdaterWidget::activityChanged (this=0x114c350) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:148
#9  0x000000000040d2b5 in UpdaterWidget::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/updater/moc_UpdaterWidget.cpp:72
[...]
#11 0x00007fa274cff485 in ResourcesModel::qt_static_metacall (_o=0x1070660, _id=0, _a=0x0, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/libmuon/moc_ResourcesModel.cpp:90
Comment 9 Jekyll Wu 2013-12-08 13:26:27 UTC
*** Bug 328536 has been marked as a duplicate of this bug. ***
Comment 10 Jekyll Wu 2013-12-11 13:55:17 UTC
*** Bug 328633 has been marked as a duplicate of this bug. ***
Comment 11 Jekyll Wu 2013-12-17 06:29:54 UTC
*** Bug 328875 has been marked as a duplicate of this bug. ***
Comment 12 Jekyll Wu 2013-12-18 01:40:46 UTC
*** Bug 328931 has been marked as a duplicate of this bug. ***
Comment 13 Jekyll Wu 2013-12-20 07:19:55 UTC
*** Bug 328475 has been marked as a duplicate of this bug. ***
Comment 14 Shane 2014-01-04 05:28:27 UTC
Created attachment 84437 [details]
New crash information added by DrKonqi

muon-updater (2.1.1) on KDE Platform 4.11.3 using Qt 4.8.4

- What I was doing when the application crashed:

Clicking the update icon in the system tray results in Muon update manager crashing every time.

-- Backtrace (Reduced):
#6  UpdateModel::setResources (this=0x25525f0, resources=...) at /build/buildd/muon-2.1.1/updater/UpdateModel/UpdateModel.cpp:248
#7  0x00000000004111a9 in UpdaterWidget::populateUpdateModel (this=this@entry=0x2540590) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:163
#8  0x000000000041127e in UpdaterWidget::activityChanged (this=0x2540590) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:148
#9  0x000000000040d2b5 in UpdaterWidget::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/updater/moc_UpdaterWidget.cpp:72
[...]
#11 0x00007f9ea3197485 in ResourcesModel::qt_static_metacall (_o=0x2652b40, _id=0, _a=0x0, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/libmuon/moc_ResourcesModel.cpp:90
Comment 15 Jekyll Wu 2014-01-06 02:55:43 UTC
*** Bug 329614 has been marked as a duplicate of this bug. ***
Comment 16 Jekyll Wu 2014-01-09 00:36:00 UTC
*** Bug 329725 has been marked as a duplicate of this bug. ***
Comment 17 Shane 2014-01-09 02:40:59 UTC
Rebuilding the Xapian index as described in comment 6 did not resolve the issue for me.
Comment 18 Jekyll Wu 2014-01-09 09:24:37 UTC
*** Bug 329755 has been marked as a duplicate of this bug. ***
Comment 19 Harald Sitter 2014-01-09 12:07:28 UTC
2.1.2: http://quickgit.kde.org/?p=muon.git&a=blob&h=bc323388a1fe39aae325545ae0bd178a645fc9b4&hb=01dcf56267dfa0480840cf4fb0d0be900708d562&f=updater%2FUpdateModel%2FUpdateModel.cpp

    foreach(AbstractResource* res, resources) {
        UpdateItem *updateItem = new UpdateItem(res);
        if (res->isFromSecureOrigin()) {
            securityItem->appendChild(updateItem);
>>>>>        } else if(!res->isTechnical()) {  <<<<<<

why it would crash there is beyond me unfortunately.
Comment 20 Harald Sitter 2014-01-09 12:08:29 UTC
*** Bug 329760 has been marked as a duplicate of this bug. ***
Comment 21 Aleix Pol 2014-01-09 14:09:46 UTC
Does it always happen? If so, can I get the valgrind execution output maybe?
Comment 22 Jens Goller 2014-01-09 15:33:45 UTC
Dear Aleix,

thanks for your reply!
Some days ago I removed a HP printer/scanner package from my computer.
Since that day Muon didn't crash anymore.

Regards

Jens 

Am Donnerstag, den 09.01.2014, 14:09 +0000 schrieb Aleix Pol:A
leix Pol <aleixpol@kde.org> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |aleixpol@kde.org
> 
> --- Comment #21 from Aleix Pol <aleixpol@kde.org> ---
> Does it always happen? If so, can I get the valgrind execution output maybe?
>
Comment 23 Jens Goller 2014-01-09 15:36:35 UTC
Dear Harald,

some days ago I removed a HP printer/scanner package from my computer.
Since then Muon didn't crash anymore. I'll keep an eye on it and give
more information when it should happen again.

Many thanks and regards

Jens


Am Donnerstag, den 09.01.2014, 12:07 +0000 schrieb Harald Sitter:
> https://bugs.kde.org/show_bug.cgi?id=327544
> 
> Harald Sitter <sitter@kde.org> changed:
> 
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                  CC|                            |sitter@kde.org
>             Version|2.1.1                       |2.1.2
> 
> --- Comment #19 from Harald Sitter <sitter@kde.org> ---
> 2.1.2:
> http://quickgit.kde.org/?p=muon.git&a=blob&h=bc323388a1fe39aae325545ae0bd178a645fc9b4&hb=01dcf56267dfa0480840cf4fb0d0be900708d562&f=updater%2FUpdateModel%2FUpdateModel.cpp
> 
>     foreach(AbstractResource* res, resources) {
>         UpdateItem *updateItem = new UpdateItem(res);
>         if (res->isFromSecureOrigin()) {
>             securityItem->appendChild(updateItem);
> >>>>>        } else if(!res->isTechnical()) {  <<<<<<
> 
> why it would crash there is beyond me unfortunately.
>
Comment 24 automaticjack 2014-01-09 15:52:40 UTC
Created attachment 84534 [details]
New crash information added by DrKonqi

muon-updater (2.1.1) on KDE Platform 4.11.3 using Qt 4.8.4

- What I was doing when the application crashed:

tested " sudo update-apt-xapian-index -f" as a fix... Negative.

this did not fix my problem either.

-- Backtrace (Reduced):
#6  UpdateModel::setResources (this=0x1eda9f0, resources=...) at /build/buildd/muon-2.1.1/updater/UpdateModel/UpdateModel.cpp:248
#7  0x00000000004111a9 in UpdaterWidget::populateUpdateModel (this=this@entry=0x1eda470) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:163
#8  0x000000000041127e in UpdaterWidget::activityChanged (this=0x1eda470) at /build/buildd/muon-2.1.1/updater/UpdaterWidget.cpp:148
#9  0x000000000040d2b5 in UpdaterWidget::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/updater/moc_UpdaterWidget.cpp:72
[...]
#11 0x00007f57bbbc8485 in ResourcesModel::qt_static_metacall (_o=0x1cfee40, _id=0, _a=0x0, _c=<optimized out>) at /build/buildd/muon-2.1.1/obj-x86_64-linux-gnu/libmuon/moc_ResourcesModel.cpp:90
Comment 25 Lastique 2014-01-14 21:46:33 UTC
Created attachment 84651 [details]
New crash information added by DrKonqi

muon-updater (2.1.2) on KDE Platform 4.12.0 using Qt 4.8.4

- What I was doing when the application crashed:

I clicked the updater icon in the tray, it showed the updater window and after a few seconds crashed.

-- Backtrace (Reduced):
#6  UpdateModel::setResources (this=0x1023990, resources=...) at /build/buildd/muon-2.1.2/updater/UpdateModel/UpdateModel.cpp:248
#7  0x00000000004111a9 in UpdaterWidget::populateUpdateModel (this=this@entry=0xfd17f0) at /build/buildd/muon-2.1.2/updater/UpdaterWidget.cpp:163
#8  0x000000000041127e in UpdaterWidget::activityChanged (this=0xfd17f0) at /build/buildd/muon-2.1.2/updater/UpdaterWidget.cpp:148
#9  0x000000000040d2b5 in UpdaterWidget::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/muon-2.1.2/obj-x86_64-linux-gnu/updater/moc_UpdaterWidget.cpp:72
[...]
#11 0x00007f6b24daf355 in ResourcesModel::qt_static_metacall (_o=0x1035590, _id=0, _a=0x0, _c=<optimized out>) at /build/buildd/muon-2.1.2/obj-x86_64-linux-gnu/libmuon/moc_ResourcesModel.cpp:90
Comment 26 Jekyll Wu 2014-01-27 01:29:38 UTC
*** Bug 330421 has been marked as a duplicate of this bug. ***
Comment 27 Jekyll Wu 2014-01-28 02:08:12 UTC
*** Bug 330484 has been marked as a duplicate of this bug. ***
Comment 28 Jekyll Wu 2014-01-28 23:08:32 UTC
*** Bug 330516 has been marked as a duplicate of this bug. ***
Comment 29 Harald Sitter 2014-01-30 13:17:24 UTC
We are having a hard time getting to the bottom of this and really need some more information on this. 

Can anyone still reproduce this reliably?
If so, please run `kdebugdialog`, active everything and after that run muon-updater from a terminal:
muon-updater --noforok &> log; xz -9 log && echo "log.xz"

Then wait for the crash, so the crash handler dialog comes up. DO NOT CLOSE THE CRASH DIALOG. Your terminal should return and print "log.xz", this file is now in the terminal's current directory. Please attach the file to this report.

Additionally, please run the following in a terminal *while* the crash handler dialog is active:
gcore `pidof muon-updater` && xz -9 core.`pidof muon-updater` && echo  core.`pidof muon-updater`.xz

This will take quite a while since it's compressing the entire memory  of the application. Once it is done the last line will be the name of the compressed file, something like "core.31686.xz", that was created in the terminal's current directory. Please attach the file to this report (should be somewhere around 20MiB).

With the additional information we should be able to track the cause for this down (one can hope anyway :))
Comment 30 enrico.gueli+kdebug 2014-01-30 13:26:48 UTC
Created attachment 84897 [details]
Output of muon-updater --nofork &> log; xz -9 log && echo "log.xz"

Output of
muon-updater --nofork &> log; xz -9 log && echo "log.xz"

(corrected a small typo in the command line)
Comment 31 enrico.gueli+kdebug 2014-01-30 13:32:04 UTC
As the core file is too big to be added as an attachment (it's 19MB), I've put it in my Dropbox: https://www.dropbox.com/s/n4j0xxdoo7z1igh/core.16677.xz

It's the output of 
sudo gcore `pidof muon-updater` && xz -9 core.`pidof muon-updater` && echo  core.`pidof muon-updater`.xz
(note the leading "sudo" otherwise the dump didn't work)
Comment 32 Harald Sitter 2014-01-30 13:35:01 UTC
Thank you.
Comment 33 Shane 2014-01-30 13:59:39 UTC
Created attachment 84898 [details]
Output of muon-updater --nofork &> log; xz -9 log && echo "log.xz"

Output of
muon-updater --nofork &> log; xz -9 log && echo "log.xz"
Comment 34 Shane 2014-01-30 14:01:40 UTC
Output of sudo gcore `pidof muon-updater` && xz -9 core.`pidof muon-updater` && echo core.`pidof muon-updater`.xz is available on http : / / smallhaven.com / core.3345.xz
(Sorry, you'll have to remove the spaces)

Thanks for keeping the interest up and thanks to enrico for posting the typo correction.
Comment 35 Aleix Pol 2014-01-30 16:18:47 UTC
Git commit 2992e8b979eede6048929e43d869d91ccfb43742 by Aleix Pol.
Committed on 30/01/2014 at 16:18.
Pushed by apol into branch '2.1'.

Make sure we don't provide null packages

Sometimes, apparently, some packages aren't listed when all Application
instances are created. This would become a crash in some special
situations, especially the cases where the architecture of the package
is specified as a suffix to the package name (e.g. primus-libs-ia32).

This patch fixes that crash by not reporting these, but then we still
have the problem that these won't be listed as updates.

M  +4    -2    libmuon/backends/ApplicationBackend/ApplicationUpdates.cpp

http://commits.kde.org/muon/2992e8b979eede6048929e43d869d91ccfb43742
Comment 36 Harald Sitter 2014-01-30 17:06:19 UTC
Hi everyone. So we found out what causes the crash and introduced measures to prevent it in the short term. To get this resolved properly we'll have to find out why exactly some packages cannot be resolved, which is a bit tricky.

Shane and Enrico, if you could upload the log files generated by this it would be really great:

echo "____/etc/apt/sources.list" > aptlog
cat /etc/apt/sources.list >> aptlog
echo "____/etc/apt/sources.list.d/" >> aptlog
cat /etc/apt/sources.list.d/* >> aptlog
echo "___aptcache" >> aptlog
apt-cache show primus-libs-ia32 >> aptlog
xz -9 aptlog
echo "aptlog.xz"
Comment 37 Shane 2014-01-30 22:31:30 UTC
Created attachment 84912 [details]
aptlog info as requested

Output of the following, as requested:

echo "____/etc/apt/sources.list" > aptlog
cat /etc/apt/sources.list >> aptlog
echo "____/etc/apt/sources.list.d/" >> aptlog
cat /etc/apt/sources.list.d/* >> aptlog
echo "___aptcache" >> aptlog
apt-cache show primus-libs-ia32 >> aptlog
xz -9 aptlog
echo "aptlog.xz"
Comment 38 enrico.gueli+kdebug 2014-01-31 08:51:50 UTC
Created attachment 84917 [details]
Output of aptlog commands

Here's my aptlog.xz after running these commands:

echo "____/etc/apt/sources.list" > aptlog
cat /etc/apt/sources.list >> aptlog
echo "____/etc/apt/sources.list.d/" >> aptlog
cat /etc/apt/sources.list.d/* >> aptlog
echo "___aptcache" >> aptlog
apt-cache show primus-libs-ia32 >> aptlog
xz -9 aptlog
echo "aptlog.xz"

Thanks for all your effort!
Enrico
Comment 39 Harald Sitter 2014-01-31 10:42:47 UTC
Still unable to reproduce unfortunately, going to do one last try before we'll have to look into somewhat more extreme measure....

The following commands will basically collect every bit of low level information about your available and installed packages, (hopefully) allowing me to replicate your exact package situation. Or at least manually track why exactly your muons cannot find the package primus-libs-ia32. Should this also fail I'll have to ask you to do manual debugging of the muon-updater itself, which is always a gigantic pain, so I'd rather avoid that ^^

Please attach the tar.xz created by: 

rm -rf verboselog
mkdir verboselog
cd verboselog
touch log
echo "___apt-cache-show___" >> log
apt-cache show primus-libs-ia32 >> log
echo "___apt-cache-policy___" >> log
apt-cache policy primus-libs-ia32 >> log
echo "___dpkg-get-selections___" >> log
dpkg --get-selections '*' >> log
echo "___dpkg-query___" >> log
dpkg-query -W --showformat='${binary:Package};${Version};${Status}\n' | grep -v deinstall >> log
echo "___apt-cache-dump___" >> log
apt-cache dump >> log
cp -r /etc/apt etc-apt
cp -r /var/log/dpkg* .
cp -r /var/log/apt .
cd ..
rm verboselog.tar verboselog.tar.xz
tar -cf verboselog.tar verboselog
rm -rf verboselog
xz -9 verboselog.tar
echo "verboselog.tar.xz"
Comment 40 Shane 2014-01-31 11:04:48 UTC
Created attachment 84920 [details]
verboselog.tar.xz

Good luck and thanks again!
Comment 41 enrico.gueli+kdebug 2014-01-31 14:06:56 UTC
Here it is.
I've put the commands into a Bash script, and run it with "sudo bash verboselog.sh"

The output is at https://www.dropbox.com/s/wm8gybite4ipsb5/verboselog.tar.xz

#!/bin/sh
set -e

rm -rf verboselog
mkdir verboselog
cd verboselog
touch log
echo "___apt-cache-show___" >> log
apt-cache show primus-libs-ia32 >> log
echo "___apt-cache-policy___" >> log
apt-cache policy primus-libs-ia32 >> log
echo "___dpkg-get-selections___" >> log
dpkg --get-selections '*' >> log
echo "___dpkg-query___" >> log
dpkg-query -W --showformat='${binary:Package};${Version};${Status}\n' \
| grep -v deinstall >> log
echo "___apt-cache-dump___" >> log
apt-cache dump >> log
cp -r /etc/apt etc-apt
cp -r /var/log/dpkg* .
cp -r /var/log/apt .
cd ..
set +e
  rm verboselog.tar verboselog.tar.xz
set -e
tar -cf verboselog.tar verboselog
rm -rf verboselog
xz -9 verboselog.tar
echo "verboselog.tar.xz"
Comment 42 Harald Sitter 2014-01-31 18:39:04 UTC
Thanks guys, I found the issue. 

To work around the issue you can use the following command or wait for Muon 2.1.3, which will be available in about 7 days:
sudo apt-get dist-upgrade


Analysis
=======
upgrades from nvidia-331.20 on xorgedgers will pull in bumblebee, bumblebee depends on primus depends on libprimus-libs-ia32:i386. However muon-updater cannot resolve libpriums-libs-ia32 because of the architecture difference.

In particular QApt::Package::isMultiArchDuplicate() apparently yields the wrong value. This is supposedly because it uses 
> d->packageIter.Group().FindPkg() 
rather than
> d->packageIter.Group().FindPreferredPkg()
which would yield the correct result. The function comments that it attempts to check whether /this/ is the best possible version of a multiarch package, which appears to not be what FindPkg is doing, rather it is checking whether it is the host architectures' duplicate package (i.e. in order to have the function return false the package needs to be :amd64 when running amd64...). However primus-libs-ia32 has no actual native version, there only is the i386 version, so isMultiArchDuplicate leads to it being discarded even tough it is the preferred package, or rather it is the only possible package.

Recommendation solution
a) use FindPreferredPkg inside isMultiArchDuplicate
b) kDebug() when a package is being discarded be it because of duplicatedness or other factors, to improve debugability of similar issues
c) evaluate whether discarding packages based on duplicatedness is even an acceptable thing to do in the update/upgrade use case

Also there's other weirdness with the updater exposed by this particular package lineup, needs separate investigation and doesn't seem related to the bug at hand though.
Comment 43 Shane 2014-02-01 02:55:33 UTC
Beware dist-upgrade.  It broke my system due to an Nvidia/Bumblebee issue.
The solution for me was
sudo apt-get remove --purge bumblebee
after dist-upgrade.

More details here: http://askubuntu.com/questions/399153/after-apt-get-upgrade-system-always-boot-to-low-graphics-mode

Now I'll wait and see what it does for Muon.
Thanks for all your time on this Harald!
Comment 44 Shane 2014-02-01 02:57:31 UTC
BTW, I came out of it better off.  Fixed a distortion issue I was having with my graphics driveres.  :-D
Comment 45 Shane 2014-02-03 23:38:40 UTC
This appears to have fixed it.  Muon updater ran successfully today.
Thanks again, Harald!
Comment 46 enrico.gueli+kdebug 2014-02-04 10:12:28 UTC
I did apt-get dist-upgrade. It didn't finish due to some broken nvidia-opencl packages. I solved the issue by removing all OpenCL-related packages and doing dist-upgrade again. And then, muon-updater got back to work. Thank you all :)
Comment 47 Alex Derringer 2014-04-07 23:49:40 UTC
Created attachment 85994 [details]
New crash information added by DrKonqi

muon-updater (2.1.2) on KDE Platform 4.11.3 using Qt 4.8.4

- What I was doing when the application crashed:

I noticed I hadn't been getting the notification popup for updates lately, and opened Update Manager from the K Menu.
The application crashed shortly after opening the window and never listed available updates.
I was also surfing with Firefox and downloading files using KTorrent at the time, and was on a VPN.

-- Backtrace (Reduced):
#6  UpdateModel::setResources (this=0x10205d0, resources=...) at /build/buildd/muon-2.1.2/updater/UpdateModel/UpdateModel.cpp:248
#7  0x00000000004111a9 in UpdaterWidget::populateUpdateModel (this=this@entry=0x11041a0) at /build/buildd/muon-2.1.2/updater/UpdaterWidget.cpp:163
#8  0x000000000041127e in UpdaterWidget::activityChanged (this=0x11041a0) at /build/buildd/muon-2.1.2/updater/UpdaterWidget.cpp:148
#9  0x000000000040d2b5 in UpdaterWidget::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/muon-2.1.2/obj-x86_64-linux-gnu/updater/moc_UpdaterWidget.cpp:72
[...]
#11 0x00007f48b8b97355 in ResourcesModel::qt_static_metacall (_o=0x106ab50, _id=0, _a=0x0, _c=<optimized out>) at /build/buildd/muon-2.1.2/obj-x86_64-linux-gnu/libmuon/moc_ResourcesModel.cpp:90
Comment 48 Aleix Pol 2015-01-14 16:57:37 UTC
Can somebody confirm this is still a problem?
Comment 49 Shane 2015-01-14 22:30:01 UTC
Can't speak for everyone, but it's certainly resolved for me.  Thanks!
Comment 50 Aleix Pol 2015-01-15 00:19:06 UTC
Please re-open if anybody can reproduce.